package ch.epfl.isochrone.timetable;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.nio.charset.StandardCharsets;

import org.junit.Ignore;
import org.junit.Test;

public class TestTimeTableReader {
    // Le "test" suivant n'en est pas un à proprement parler, raison pour
    // laquelle il est ignoré (annotation @Ignore). Son seul but est de garantir
    // que les noms des classes et méthodes sont corrects.
    @Test
    public void namesAreOk() throws IOException {
        InputStream stopsStream =
                getClass().getResourceAsStream("/time-table/stops.csv");
        
        BufferedReader reader = new BufferedReader(
                new InputStreamReader(stopsStream, StandardCharsets.UTF_8));
        String line;
        int i = 1;
        while ((line = reader.readLine()) != null) {
            System.out.println("ligne " + (i++) + ": " + line);
        }
        reader.close();
        
        System.out.println("test");
    }
}
